summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2012-09-21 20:05:10 +0200
committerMartin Väth <martin@mvath.de>2015-10-11 10:48:24 +0200
commit4df9aea73b95342034839a1f3aaadb67d8ffb78f (patch)
tree16d33c0f5917fe1c2f8c47197ab90f8ac95d214b /eclass
parentFix description of mv_emacs (diff)
downloadmv-4df9aea73b95342034839a1f3aaadb67d8ffb78f.tar.gz
mv-4df9aea73b95342034839a1f3aaadb67d8ffb78f.tar.bz2
mv-4df9aea73b95342034839a1f3aaadb67d8ffb78f.zip
Bump to EAPI=5 as far as possible. Fix aufs-util. Remove obsolete run-help
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog4
-rw-r--r--eclass/monotone.eclass4
-rw-r--r--eclass/mv_mozextension.eclass23
3 files changed, 19 insertions, 12 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 365b1f13..1e36362b 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 21 Sep 2012; Martin Väth <martin@mvath.de>
+ mv_mozextension: Use slot dependencies; requires at least EAPI=5
+ monotone: Remove useless DESCRIPTION
+
26 Aug 2012; Martin Väth <martin@mvath.de>
Rename IUSE={copy,symlink}_extensions to {copy,symlink}-extensions to avoid
possible collision with USE_EXPAND
diff --git a/eclass/monotone.eclass b/eclass/monotone.eclass
index 0cf81501..f27dc874 100644
--- a/eclass/monotone.eclass
+++ b/eclass/monotone.eclass
@@ -12,8 +12,6 @@
# The monotone eclass provides functions to fetch software sources from
# monotone repositories.
-DESCRIPTION="Based on the ${ECLASS} eclass"
-
# @ECLASS-VARIABLE: EMTN_STORE_DIR
# @DESCRIPTION:
# monotone sources store directory. Users may override this in /etc/make.conf
@@ -124,7 +122,7 @@ monotone_fetch() {
einfo "Updating ${db} from remote ${repo_uri}"
eval "${EMTN_PULL_CMD}"
)
- fi || die "Could not fetch/update ${db}"
+ fi || die "Could not fetch/update ${db}"
db_full="${EMTN_STORE_DIR}/${db}"
einfo "Copying database ${db_full} ..."
test -d "${S}" || mkdir -p -- "${S}" || die "mkdir ${S} failed"
diff --git a/eclass/mv_mozextension.eclass b/eclass/mv_mozextension.eclass
index 58ba6937..60a10928 100644
--- a/eclass/mv_mozextension.eclass
+++ b/eclass/mv_mozextension.eclass
@@ -37,18 +37,24 @@
inherit eutils multilib
+case ${EAPI:-0} in
+[01234])
+ die "EAPI ${EAPI} no longer supported by mv_mozextension";;
+esac
+
+
RDEPEND='|| ('
case ${MV_MOZ_MOZILLAS} in
*fire*)
RDEPEND="${RDEPEND}
- >=www-client/firefox-3.6
- >=www-client/firefox-bin-3.6"
+ www-client/firefox:=
+ www-client/firefox-bin:=";;
esac
case ${MV_MOZ_MOZILLAS} in
*sea*)
RDEPEND="${RDEPEND}
- >=www-client/seamonkey-2
- >=www-client/seamonkey-bin-2"
+ www-client/seamonkey:=
+ www-client/seamonkey-bin:=";;
esac
RDEPEND=${RDEPEND}'
)'
@@ -87,7 +93,8 @@ mv_mozextension_install() {
mv_mozextension_calc() {
local v
case ${MV_MOZ_MOZILLAS} in
- ${1}) false;;
+ ${1})
+ false;;
esac && return
v=`best_version "${2}"` && [ -n "${v}" ] || return
MV_MOZ_PKG+=("${v}")
@@ -219,11 +226,9 @@ xpi_unpack() {
cd -- "${S}/${xpiname}" && \
unzip -qo -- "${srcdir}${xpi}" \
|| die "failed to unpack ${xpi}"
- chmod -R a+rX,u+w,go-w -- "${S}/${xpiname}"
- ;;
+ chmod -R a+rX,u+w,go-w -- "${S}/${xpiname}";;
*)
- einfo "unpack ${xpi}: file format not recognized. Ignoring."
- ;;
+ einfo "unpack ${xpi}: file format not recognized. Ignoring.";;
esac
done
}